/*start*/
@media print {
  body {-webkit-print-color-adjust: exact;}
}

body {
  padding-top: 0px;
  -webkit-print-color-adjust: exact;
}

.sidebar {
  display: none;
}

input {
  border-radius: 0px!important;
}

@media (min-width: 768px) {
  .sidebar {
    position: fixed;
    top: 51px;
    bottom: 0;
    left: 0;
    z-index: 1000;
    display: block;
    padding: 20px;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    background-color: #f5f5f5;
    border-right: 1px solid #eee;
  }
}

.main {
      margin-top: 63px;
}

@media (min-width: 768px) {
  .main {
    /* padding-right: 40px; */
    /* padding-left: 40px; */
  }
}
.main .page-header {
  margin-top: 0;
}

.navbar-blue {
    background-color: #396e8a!important;
    border-bottom: 3px solid #396e8a!important;
}

.navbar-white {
    background-color: white!important;
    border-bottom: 3px solid white!important;
}

.white, .white a {
  color: #fff;
}

.big-glyphicon {
    font-size: 16px;
}

.center-container {
  text-align: center;
}

.logo {
      width: 10.2em;
}

.logo-progress {
      width: 24em;
      max-width: 76%;
}

.login {
  width: 100%;
  padding-bottom: 1em;
  margin: auto;
  max-width: 40em;
}

.login h1 {
    font-size: 2em;
    font-weight: 600;
    color: #444444;
}

.login:last-child {
   margin-bottom: 1em;
}

.login > form > div {
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

.login > form > div > input {
  height: 3em;
}

.login-button {
    width: 100%;
    background: #3d7999;
    color: white;
    cursor: pointer!important;
}

.login-error-msg {
    color: red;
    padding-top: 0.4em!important;
    display: inline-block;
}

.information {
  padding-top: 2em;
}

.information h2 {
  display: inline;
    vertical-align: middle;
    color: white;
    padding-left: 1em;
        font-size: 1.6em;
        text-align: left;
}

.information h3 {
    vertical-align: middle;
    color: white;
    padding-left: 0em;
        font-size: 1.34em;
        padding-bottom: 0.5em;
}

.information img {
  width: 4em;
}

.information-marks {
  margin-bottom: 3em;
  text-align: center;
  /* padding-left: 8em; */
  /* width: 100%; */
}

.information-marks-2 {
  margin-bottom: 2em;
  padding-left: 8em;
    text-align: center;
}

/*users*/
.selected {
  background-color: #CFD8DC !important;
  color: white;
}
.users {
  margin: 0 0 2em 0;
  list-style-type: none;
  padding: 0;
  width: 33em;
}

.users li {
  cursor: pointer;
  position: relative;
  left: 0;
  background-color: #EEE;
  margin: .5em;
  padding: 0.3em 0;
  height: 2.6em;
  border-radius: 4px;
}
.users li:hover {
  color: #607D8B;
  background-color: #DDD;
  left: .1em;
}
.users li.selected:hover {
  background-color: #BBD8DC !important;
  color: white;
}
.users .text {
  position: relative;
  top: -3px;
}
.users .badge {
  display: inline-block;
  font-size: small;
  color: white;
  padding: 1em 0.7em 0 0.7em;
  background-color: grey;
  line-height: 1em;
  position: relative;
  left: -1px;
  top: -4px;
  height: 2.75em;
  margin-right: 0.8em;
  border-radius: 4px 0 0 4px;
}


.invoices {
  margin: 0 0 2em 0;
  list-style-type: none;
  padding: 0;
  width: 33em;
}

.invoices li > div {
  cursor: pointer;
  position: relative;
  left: 0;
  background-color: #EEE;
  margin: .5em;
  padding: 0.3em 0;
  height: 2.6em;
  border-radius: 4px;
}
.invoices li > div:hover {
  color: #607D8B;
  background-color: #DDD;
  left: .1em;
}
.invoices li > div.selected:hover {
  background-color: #BBD8DC !important;
  color: white;
}
.invoices .text {
  position: relative;
  top: -3px;
}
.invoices .badge {
  display: inline-block;
  font-size: small;
  color: white;
  padding: 1em 0.7em 0 0.7em;
  background-color: grey;
  line-height: 1em;
  position: relative;
  left: -1px;
  top: -4px;
  height: 2.75em;
  margin-right: 0.8em;
  border-radius: 4px 0 0 4px;
}

.notifications {
  margin: 0 0 2em 0;
  list-style-type: none;
  padding: 0;
  width: 33em;
}
.notifications li {
  cursor: pointer;
  position: relative;
  left: 0;
  background-color: #EEE;
  margin: .5em;
  padding: 0.3em 0;
  height: 2.6em;
  border-radius: 4px;
}
.notifications li:hover {
  color: #607D8B;
  background-color: #DDD;
  left: .1em;
}
.notifications li.selected:hover {
  background-color: #BBD8DC !important;
  color: white;
}
.notifications .text {
  position: relative;
  top: -3px;
}
.notifications .badge {
  display: inline-block;
  font-size: small;
  color: white;
  padding: 1em 0.7em 0 0.7em;
  background-color: grey;
  line-height: 1em;
  position: relative;
  left: -1px;
  top: -4px;
  height: 2.75em;
  margin-right: 0.8em;
  border-radius: 4px 0 0 4px;
}

button {
  font-family: Arial;
  background-color: #eee;
  border: none;
  padding: 5px 10px;
  border-radius: 4px;
  cursor: pointer;
  cursor: hand;
}
button:hover {
  background-color: #8BBBD5;
}

.modal-dialog {
    z-index: 1100;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    /* max-height: 17%; */
}

.selected {
  opacity: 0.4;
}

.sebm-google-map-container {
  height: 300px;
}

.rowfieldready {
  border-top: 1px solid #71C655;
  padding-left: 0em;
  padding-bottom: 1.5em;
  padding-right: 0em;
}

.rowfieldnotready {
  border-top: 1px solid #27a9e1;
  padding-left: 0em;
  /* padding-bottom: 1.5em; */
  padding-right: 0em;
}

.informationfield {
  padding-left: 1em;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
  color: white;
  padding-right: 0em;
  margin-top: -1px;
  z-index: 1;
}

.readyfield {
  background-color: #71C655;
}

.notreadyfield {
  background-color: #E25969;
}

.email-icon {
  width: 2.6em;
}

.startHeader {
    font-size: 1.3em;
    font-weight: 600;
    color: #666666;
    /* padding: 0; */
    margin-top: 0.3em;
    padding-bottom: 0;
    margin-bottom: 0;
}

.marginInputs {
     /* margin-top: 5px; */
     margin-bottom: 5px;
     margin-top: 5px;
}

.start-button {
    margin-bottom: -1px;
    background: #27a9e1;
    color: white;
    cursor: pointer!important;
    border-radius: 0em;
    float: right;
    z-index: 0;
}

.start-button:hover {
  cursor: pointer;
}

.start p {
      font-size: 1.3em;
    color: #555555;
}

.start h3 {
      padding: 0.3em;
      margin: 0;
      font-size: 1.1em;
      /* margin-top: -1px; */
      /* z-index: 999; */
}

.completer-input {
  /* font-size: 1em; */
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.checkboxStart {
   -ms-transform: scale(1.5); /* IE */
  -moz-transform: scale(1.5); /* FF */
  -webkit-transform: scale(1.5); /* Safari and Chrome */
  -o-transform: scale(1.5); /* Opera */
  margin-right: 1em!important;
}

.main a:hover {
  cursor: pointer;
}

.disabledLink {
      color: grey;
      text-decoration: none;
}


.disabledLink:hover {
    cursor: default!important;
      text-decoration: none;
      color: grey;
}

.account-type-header {
    background-color: lightgrey;
    padding-top: 0.3em;
    padding-bottom: 0.3em;
}

.account-type-header h3 {
  color: white;
  font-size: 1.4em;
}

.account-type-properties {
  border: 1px solid lightgrey;
}

.account-type-properties-h3-big {
  font-size: 3em!important;
  color: #333333;
  display: inline;
  padding: 0;
  margin: 0;
  padding: 0!important;
}

.account-type-properties-h3-small {
  font-size: 1.2em!important;
  color: #333333;
  vertical-align: baseline;
  display: inline;
  padding: 0!important;
  /* margin-top: -1em; */
  padding-left: 1em!important;
}

.account-type-properties img {

width: 2.6em;
}

.account-type-properties button {

/* margin: 0 0; */

width: 100%;

margin-bottom: 1em;

margin-top: 1em;

font-size: 1.3em;

color: white;

background: lightgrey;
}

.account-type-properties span {

font-size: 1.2em;

padding-left: 1em;

vertical-align: middle;

color: #333333;
}





.account-type-2-header {
    background-color: #27a9e1;
    padding-top: 0.3em;
    padding-bottom: 0.3em;
}

.account-type-3-header {
  background-color: #396e8a;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
}

.account-type-2-header h3 {
  color: white;
  font-size: 1.4em;
}

.account-type-3-header h3 {
  color: white;
  font-size: 1.4em;
}

.account-type-2-properties {
  border: 1px solid #27a9e1;
}

.account-type-3-properties {
  border: 1px solid #396e8a;
}

.account-type-2-properties-h3-big {
  font-size: 3em!important;
  color: #27a9e1;
  display: inline;
  padding: 0;
  margin: 0;
  padding: 0!important;
}

.account-type-2-properties-h3-small {
  font-size: 1.2em!important;
  color: #27a9e1;
  vertical-align: baseline;
  display: inline;
  padding: 0!important;
  /* margin-top: -1em; */
  padding-left: 1em!important;
}

.account-type-3-properties-h3-big {
  font-size: 3em!important;
  color: #396e8a;
  display: inline;
  padding: 0;
  margin: 0;
  padding: 0!important;
}

.account-type-3-properties-h3-small {
  font-size: 1.2em!important;
  color: #396e8a;
  vertical-align: baseline;
  display: inline;
  padding: 0!important;
  /* margin-top: -1em; */
  padding-left: 1em!important;
}

.account-type-2-properties img {

width: 2.6em;
}

.account-type-3-properties img {

width: 2.6em;
}

.account-type-2-properties button {

/* margin: 0 0; */

width: 100%;

margin-bottom: 1em;

margin-top: 1em;

font-size: 1.3em;

color: white;

background: #27a9e1;
}

.account-type-3-properties button {

/* margin: 0 0; */

width: 100%;

margin-bottom: 1em;

margin-top: 1em;

font-size: 1.3em;

color: white;

background: #396e8a;
}

.account-type-2-properties span {

font-size: 1.2em;

padding-left: 1em;

vertical-align: middle;

color: #333333;
}

.account-type-3-properties span {

font-size: 1.2em;

padding-left: 1em;

vertical-align: middle;

color: #333333;
}

.bankTransfer {
  
border: 1px solid grey;
  
padding: 1em;
}

.bankTransferInformation {
  
color: #444444;
  
font-size: 0.9em;
  
padding-top: 0.6em;
  
padding-bottom: 0.6em;
  
padding-left: 0.2em;
}


.printMode {
    top: 0;
    bottom: 0;
    position: fixed;
    background: white!important;
    left: 0;
    right: 0;
    z-index: 9999;
    width: 100%!important;
}

.clickable:hover {
  cursor: pointer!important;
}

.clickable:hover * {
  cursor: pointer!important;
}

.contact {

}

.contact div {

font-size: 1.3em;
}

.contact h1 {

font-size: 1.6em;

color: #3D7999;
}

.contact a {
  
COLOR: #8BBBD5;
}

.change-main-image-div {
  display: block;
}

.change-main-image-div:hover {
  cursor: pointer;
}


.change-main-image {
  position: absolute;
  bottom: 0;
  text-align: center;
  background-color: rgba(0,0,0,0.5);
  color: white;
  width: 100%;
  /* height: 3em; */
  display: none;
  font-size: 1.3em;
  font-weight: 100;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
}

.visible {
  display: block!important;
}

.logo-stand {
  width: 100%;
  height: inherit;
  /* max-height: 16em; */
}

.header-stand {
  background-color: #396E8A;
  color: white;
  font-size: 2em;
  padding-top: 0.35em;
  padding-bottom: 0.35em;
  width: 100%;
  padding-left: 1em;
  margin-top: 0em;
}

.description-stand {
  
padding-left: 2em;
}


.day-information-day {
  background-color: #396e8a;
  padding-left: 1em;
  padding-right: 1em;
  color: white;
  margin: 0;
  /* width: 10em; */
  font-size: 1.5em;
  font-weight: 100;
  padding-top: 0.4em;
  padding-bottom: 0.3em;
  margin-top: -0.6em;
  margin-left: -1em;
}

.day-information-div {
  
margin-bottom: 5em;
  
}

.day-information-span {
  
font-size: 1.7em;
  
color: white;
}

.input-title-dayInformation {

background-color: transparent;

border-top: none;

border-left: none;

border-right: none;

width: 97%;

/* margin-right: 1em; */

padding-left: 0.5em;

border-bottom: white solid 1px;

font-weight: 100;
}

.textarea-description-dayInformation {
  
width: 100%;
  
height: 8em;
}

textarea:focus, input:focus{
    outline: none;
}

.day-information-button {
  margin-top: 1.2em;
  background-color: #396e8a;
  width: 29em;
  text-align: left;
  cursor: pointer;
  color: white;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  padding-left: 2em;
  font-size: 1.2em;
  font-weight: 100;
}

.day-information-small-button {
  margin-top: 0.5em;
  width: 15em;
  text-align: left;
  cursor: pointer;
  color: white;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
  padding-left: 1em;
  font-size: 1em;
  border-radius: 0;
  font-weight: 100;
  background-color: #396e8a;
  max-width: 100%;
}

.element-image {
  width: 12em;
}

.padding2bottom {
  padding-bottom: 2em;
}

.padding2top {
  padding-top: 2em;
}

.day-information-div input {
    background-color: transparent;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: white 1px solid;
    font-size: 0.8em;
    color: White;
    /* font-size: 1em; */
    padding-bottom: 0em;
}


.day-information-div ::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:    #eeeeee;
        font-weight: 100;

}
.day-information-div :-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:    #eeeeee;
        font-weight: 100;
   opacity:  1;

}
.day-information-div ::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:    #eeeeee;
        font-weight: 100;
   opacity:  1;

}
.day-information-div :-ms-input-placeholder { /* Internet Explorer 10-11 */
    color:    #eeeeee;
        font-weight: 100;
}

.row {
  margin-left: 0em;
  margin-right: 0em;
}

.tag {
  position: relative;
  padding: 1em 1.5em;
  /* margin: 2em auto; */
  color: #fff;
  background: #6fb3cb;
  padding-left: 1em;
  padding-right: 3em;
  /* float: left; */
  z-index: 1;
  margin-bottom: 0.9em;
}

.tag-element:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-width: 16px 0px 16px 16px;
  border-style: solid;
  border-color: white #6fb3cb;
  background: none;
  color: white;
  top: 0;
}

.tag-element {
  position: relative;
  padding: 0.5em 1.5em;
  /* margin: 2em auto; */
  color: #fff;
  background: #6fb3cb;
  padding-left: 1em;
  padding-right: 3em;
  /* float: left; */
  z-index: 1;
  margin-bottom: 0.9em;
}

.tag:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-width: 16px 0px 16px 16px;
  border-style: solid;
  border-color: white #6fb3cb;
  background: none;
  color: white;
  top: 0;
}

.tagMain {
  position: relative;
  padding: 4px 1em;
  color: grey;
  background: #ededed;
  padding-left: 0.6em;
  padding-right: 2em;
  z-index: 1;
  margin-bottom: 0.9em;
  font-size: 0.8em;
}

.tagMain:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-width: 9px 0px 9px 9px;
  border-style: solid;
  border-color: white #ededed;
  background: none;
  color: grey;
  top: 0;
}

.tagMainSelected {
  position: relative;
  padding: 4px 1em;
  color: #fff;
  background: #6fb3cb;
  padding-left: 1em;
  padding-right: 3em;
  z-index: 1;
  margin-bottom: 0.9em;
  font-size: 0.8em;
}

.tagMainSelected:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-width: 9px 0px 9px 9px;
  border-style: solid;
  border-color: white #6fb3cb;
  background: none;
  color: white;
  top: 0;
}

.tagSelected {
  position: relative;
  padding: 1em 1.5em;
  /* margin: 2em auto; */
  color: #fff;
  background: rgb(151, 214, 133);
  padding-left: 1em;
  padding-right: 3em;
  /* float: left; */
  z-index: 1;
  margin-bottom: 0.9em;
}

.tagSelected:before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  border-width: 16px 0px 16px 16px;
  border-style: solid;
  border-color: white rgb(151, 214, 133);
  background: none;
  color: white;
  top: 0;
}

.notifications-number {
  background-color: #6fb3cb;
  font-size: 0.5em;
  padding-top: 0.0em;
  padding-left: 0.1em;
  padding-right: 0.11em;
  padding-bottom: 0.3em;
  position: absolute;
  bottom: 0;
  right: 0;
  margin: 0;
  margin-bottom: -0.2em;
  margin-right: -0.2em;
}

.notifications-pop {
    position: fixed;
    top: 63px;
    z-index: 999;
    min-height: 3em;
    background: white;
    left: 12px;
    border: 1px #dddddd solid;
    width: 24em;
}

.searchs-pop {
    position: fixed;
    z-index: 999;
    min-height: 3em;
    background: white;
    border: 1px #dddddd solid;
    width: 24em;
    margin-top: 0.2em;
}

.notification-pop {
  /* padding-bottom: 0.5em; */
}

.notification-text-pop {
  padding-left: 1.2em;
  padding-right: 1.2em;
  padding-top: 0.7em;
  padding-bottom: 0.7em;
}


.notification-text-pop:hover {
    background-color: #d6e1e5; 
    color: white;
    cursor: pointer;
}

.notification-bar-pop {
  width: 100%;
  text-align: center;
}

.notification-bar-pop > div {
    border-bottom: 1px solid #dddddd;
    width: 50%;
    display: inline-block;
}

.notifications-show-all-pop {
  text-align: center;
  padding-top: 0.7em;
  padding-bottom: 0.7em;
}

.notifications-show-all-pop:hover {
  background-color: #d6e1e5;
  color: white;
  cursor: pointer;
}

.no-link {
    color: #333333;
    text-decoration: none;
}

.no-link:hover {
    text-decoration: none;
}

.no-link:selected {
    text-decoration: none;
}

.selectedNotification {
  background-color: #dcedef;
  padding-top: 1em;
  padding-bottom: 1em;
}

.message {
  border-bottom: 1px solid grey;
}

.messageSelected {
  background-color: #eaf1f4;
}
.messageSelected:hover {
  background-color: white;
  cursor: pointer!important;
}

.messageSelected:hover * {
  cursor: pointer!important;
}

.message:hover {
  background-color: #eaf1f4;
}

.selectedButton {
  border: none;
  background-color: #2685aa;
  border-radius: 0px;
  color: white;
  width: 8em;
  height: 2.5em;
}

.notSelectedButton {
  border: none;
  background-color: #d0d0d1;
  border-radius: 0px;
  color: white;
  width: 8em;
  height: 2.5em;
}

.messageBlock {
  text-align: right;
  margin-top: 1em;
}

.messageBlockHead {

/* text-align: right; */

border-bottom: 1px solid #396e8a;

padding-right: 0;
}

.messageBlockHeadColor {

background-color: #396e8a;

padding: 0.5em;

text-align: left;
padding-left: 2em;
}

.messageBlockHeadColorTitle {

color: white;

/* padding: 1em; */
}

.messageBlockHeadColorBody {
  text-align: left;
}

.messageBlockBody {
  border-bottom: 1px solid grey;
}

.messageBlockBodyRead {
  background-color: #eaf1f4;
  border-bottom: 1px solid grey;
}

.messageBlockBody:hover {
  background-color: #eaf1f4;
  cursor: pointer;
}

.messageBlockBodyRead:hover {
  cursor: pointer;
  background-color: white;
}

.messageBlockLabelSmall {

font-weight: 100;

font-size: 14px;

color: #636363;
}

.messageBlockLabelNormal {

font-weight: 100;

font-size: 15px;

vertical-align: top;

color: #636363;
}

.messageBlockLabelHigh {
  
font-size: 15px;
  
text-align: justify;
  
vertical-align: top;

color: #636363;

}

.noVisible{
  visibility: hidden;
}

.isFavorite{
  color: #005b6e!important;
}

.favorite:hover {
  background-color: #6fb3cb;
  color: white;
  border-radius: 2%;  
}

.label-filters {
  color: gray;
}

.labelSelected {
  color: #6aa8bd;
}

.inputSearch {
  outline: none;
  border: none;
  -webkit-appearance: none;
  box-shadow: none;
}

.inputSearch:focus{
    outline: none;
    -webkit-appearance: none;
    outline-style:none;
    box-shadow:none;
    border-color:transparent;
}

.displayNone {
  display: none!important;
}

.borderLineTop {
  border-top: 1px solid #6fb3cb;
}

.borderLine {
  border-bottom: 1px solid #6fb3cb;
}

.element {
     height: auto; 
     margin-top: 1em; 
     padding: 1.5em;
     display: inline-block; 
     vertical-align: top;
}

.elementPhoto {
  height: auto;
  display: inline-block;
  vertical-align: top;
  margin-top: 1em;
  padding: 1.5em;
}

/*Phone*/
@media (max-width: 992px) {
  .elementPhoto:nth-child(2n+1) {
    clear: left;
  }
}

/*Tablet*/
@media (min-width: 992px) and (max-width: 1200px) {
  .element:nth-child(2n+1) {
    clear: left;
  }    
  .elementPhoto:nth-child(6n+1) {
    clear: left;
  }
}

/*Desktop*/
@media (min-width: 1200px) {
  .element:nth-child(3n+1) {
    clear: left;
  }  
  .elementPhoto:nth-child(6n+1) {
    clear: left;
  }
}


.fontSizeVariable {
  font-size: 0.7em;
}

/*Small phone*/
@media (max-width: 330px) {
  .fontSizeVariable {
    font-size: 0.25em;
  }
}

/*Medium phone*/
@media (min-width: 330px) and (max-width: 530px) {
  .fontSizeVariable {
    font-size: 0.5em;
  }
}

/*Big phone*/
@media (min-width: 530px) and (max-width: 992px) {
  .fontSizeVariable {
    font-size: 1em;
  }
}

/*Tablet*/
@media (min-width: 992px) and (max-width: 1200px) {
.fontSizeVariable {
    font-size: 1em;
  }
}

/*Small desktop*/
@media (min-width: 1200px) and (max-width: 1600px) {
  .fontSizeVariable {
    font-size: 0.7em;
  }
}

/*Big desktop*/
@media (min-width: 1600px) {
  .fontSizeVariable {
    font-size: 1em;
  }
}

@media (max-width: 3000px) {    .font-diff { }}
@media (max-width: 767px) {    .font-diff { display: none; }} 
/*
Copyright 2016 Google Inc. All Rights Reserved.
Use of this source code is governed by an MIT-style license that
can be found in the LICENSE file at http://angular.io/license
*/